RTC_TAMPID_Type Union Reference

## Data Fields

struct {
uint32_t TAMPID0:1
uint32_t TAMPID1:1
uint32_t TAMPID2:1
uint32_t TAMPID3:1
uint32_t TAMPID4:1
uint32_t __pad0__:26
uint32_t TAMPEVT:1
} | bit
struct {
uint32_t TAMPID:5
uint32_t __pad0__:27
} | vec
uint32_t | reg

## Detailed Description

Definition at line 1937 of file rtc.h.

## Field Documentation

## __pad0__

uint32_t RTC_TAMPID_Type::__pad0__

bit: 5..30 Reserved

bit: 5..31 Reserved

Definition at line 1944 of file rtc.h.

## bit

struct { ... } RTC_TAMPID_Type::bit

Structure used for bit access

## reg

uint32_t RTC_TAMPID_Type::reg

Type used for register access

Definition at line 1951 of file rtc.h.

## TAMPEVT

uint32_t RTC_TAMPID_Type::TAMPEVT

bit: 31 Tamper Event Detected

Definition at line 1945 of file rtc.h.

## TAMPID

uint32_t RTC_TAMPID_Type::TAMPID

bit: 0.. 4 Tamper Input x Detected

Definition at line 1948 of file rtc.h.

## TAMPID0

uint32_t RTC_TAMPID_Type::TAMPID0

bit: 0 Tamper Input 0 Detected

Definition at line 1939 of file rtc.h.

## TAMPID1

uint32_t RTC_TAMPID_Type::TAMPID1

bit: 1 Tamper Input 1 Detected

Definition at line 1940 of file rtc.h.

## TAMPID2

uint32_t RTC_TAMPID_Type::TAMPID2

bit: 2 Tamper Input 2 Detected

Definition at line 1941 of file rtc.h.

## TAMPID3

uint32_t RTC_TAMPID_Type::TAMPID3

bit: 3 Tamper Input 3 Detected

Definition at line 1942 of file rtc.h.

## TAMPID4

uint32_t RTC_TAMPID_Type::TAMPID4

bit: 4 Tamper Input 4 Detected

Definition at line 1943 of file rtc.h.

## vec

struct { ... } RTC_TAMPID_Type::vec

Structure used for vec access

The documentation for this union was generated from the following file:

- /storage/Shared/Documents/Projects/ePenguin/ePenguin-Software-Framework/arch/arm/SAME54/SAME54A/mcu/inc/component/rtc.h